%define name	gnome-phone-manager
%define version	0.65
%define release %mkrel 2
%define schemas gnome-phone-manager

Name: 	 	%{name}
Summary: 	GNOME Cellular Phone Manager
Summary(de): 	GNOME Telefon Manager
Version: 	%{version}
Release: 	%{release}
Source:		ftp://ftp.gnome.org/pub/gnome/sources/gnome-phone-manager/%version/%{name}-%{version}.tar.xz
Patch:		gnome-phone-manager-0.65-format-strings.patch
URL:		http://live.gnome.org/PhoneManager
License:	GPLv2+
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gettext intltool imagemagick
BuildRequires:	libbtctl-devel >= 0.6
BuildRequires:	gnome-bluetooth-devel
BuildRequires:	usb-compat-devel
BuildRequires:	nautilus-devel gob2
BuildRequires:	libgnokii-devel gnokii
BuildRequires:	libglade2.0-devel
BuildRequires:	librsvg-devel
BuildRequires:  libGConf2-devel
BuildRequires:	evolution-data-server-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	desktop-file-utils
BuildRequires:	automake
BuildRequires:	gtkspell-devel
BuildRequires:  libtelepathy-glib-devel
BuildRequires:  libcanberra-devel

%description
Phone Manager allows you to control aspects of your mobile phone from the
GNOME 2 desktop.

Current features include:
    * Runs in the background; indicates status on the panel notification area.
    * Display on-screen alert when text message (SMS) arrives
    * Text message (SMS) sending facility
    * Evolution Addressbook integration when sending messages 

Phone Manager supports any mobile phone that can connect to your computer as a
serial port: via Bluetooth, IrDA, or a serial cable.

%description -l de 
Telefon Manager kann Ihr Aspekte Ihres Mobiltelefons aus dem GNOME 2 Desktop steuern.

Aktuelle Funktionen sind:
    * Läuft im Hintergrund, zeigt den Status auf dem Panel-Infobereich.
    * Display On-Screen-Alarm, wenn Kurzmitteilung (SMS) kommt
    * Kurzmitteilung (SMS) senden Anlage
    * Evolution-Adressbuch-Integration beim Senden von Nachrichten

Telefon Manager unterstützt eine beliebige Anzahl an Mobiltelefon auf Ihren Computer die er 
über eine serielle Schnittstelle, via Bluetooth, IrDA oder ein serielles Kabel verbinden kann.

%prep
%setup -q
%patch -p1

%build
%configure2_5x --enable-shared --enable-static
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="GNOME" \
  --remove-category="Application" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%update_icon_cache hicolor
%post_install_gconf_schemas %{schemas}

%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
%{clean_menus}
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/*
%{_datadir}/%name
%{_datadir}/applications/*.desktop
%{_mandir}/man1/*
%_libexecdir/telepathy-phoney
%_datadir/dbus-1/services/org.freedesktop.Telepathy.ConnectionManager.phoney.service
%_datadir/telepathy/managers/phoney.manager


%changelog
* Sat Feb 19 2011 maik3531 <maik3531 at yahoo.de> 0.65-2pclos2010
- rebuild
- complete buildrequires

* Wed Jul 07 2010 maik3531 <maik3531 at yahoo.de> 0.65-1pclos2010
- initial package
- import from MDV
